<div>
    <h2 id="page-heading">
        <span jhiTranslate="bikeBackendApp.detailUser.home.title">Detail Users</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-detail-user" [routerLink]="['/detail-user/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="bikeBackendApp.detailUser.home.createLabel">
            Create a new Detail User
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="detailUsers?.length === 0">
        <span jhiTranslate="bikeBackendApp.detailUser.home.notFound">No detailUsers found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="detailUsers && detailUsers.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="documentType"><span jhiTranslate="bikeBackendApp.detailUser.documentType">Document Type</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="documentNumber"><span jhiTranslate="bikeBackendApp.detailUser.documentNumber">Document Number</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="expeditionDate"><span jhiTranslate="bikeBackendApp.detailUser.expeditionDate">Expedition Date</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="cellphone"><span jhiTranslate="bikeBackendApp.detailUser.cellphone">Cellphone</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="gender"><span jhiTranslate="bikeBackendApp.detailUser.gender">Gender</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="image"><span jhiTranslate="bikeBackendApp.detailUser.image">Image</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="birthdate"><span jhiTranslate="bikeBackendApp.detailUser.birthdate">Birthdate</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="userFirstName"><span jhiTranslate="bikeBackendApp.detailUser.user">User</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let detailUser of detailUsers ;trackBy: trackId">
                    <td><a [routerLink]="['/detail-user', detailUser.id, 'view']">{{ detailUser.id }}</a></td>
                    <td jhiTranslate="{{ 'bikeBackendApp.DocumentType.' + detailUser.documentType }}">{{ detailUser.documentType }}</td>
                    <td>{{ detailUser.documentNumber }}</td>
                    <td>{{ detailUser.expeditionDate | date:'mediumDate' }}</td>
                    <td>{{ detailUser.cellphone }}</td>
                    <td jhiTranslate="{{ 'bikeBackendApp.Gender.' + detailUser.gender }}">{{ detailUser.gender }}</td>
                    <td>
                        <a *ngIf="detailUser.image" (click)="openFile(detailUser.imageContentType, detailUser.image)">
                            <img [src]="'data:' + detailUser.imageContentType + ';base64,' + detailUser.image" style="max-height: 30px;" alt="detailUser image"/>
                        </a>
                        <span *ngIf="detailUser.image">{{ detailUser.imageContentType }}, {{ byteSize(detailUser.image) }}</span>
                    </td>
                    <td>{{ detailUser.birthdate | date:'mediumDate' }}</td>
                    <td>
                        {{ detailUser.userFirstName }}
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/detail-user', detailUser.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/detail-user', detailUser.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(detailUser)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="detailUsers && detailUsers.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
